
Redmine - Defect #14773

ActiveRecord::Acts::Versioned::ActMethods#next_version Generates ArgumentError

2013-08-26 16:42 - Justin Leishman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version: 2.3.2

Description

There's a patch already available here. I'm not sure why the WikiContent model doesn't break, but it does customize the

WikiContent::Version class's behavior slightly.

Associated revisions

Revision 12222 - 2013-10-14 19:07 - Jean-Philippe Lang

Fixed that WikiContent#next_version raises a comparison of Symbol with Arel::Table failed error (#14773).

History

#1 - 2013-08-26 16:55 - Justin Leishman

Apparently setting self.locking_column = 'version' gets around this problem, but I don't see it documented anywhere.

#2 - 2013-10-14 03:26 - Mischa The Evil

This is also discussed in Error While saving Wiki (Arel::Table failed) acts_as_vers.... What is missing is a clear way how to reproduce the error.

Justin Leishman wrote:

Apparently setting self.locking_column = 'version' gets around this problem, but I don't see it documented anywhere.

 self.locking_column = 'version' is 'available' in source:/trunk/app/models/wiki_content.rb#L21. I don't see how that is related.

#3 - 2013-10-14 15:01 - Leandro Guida

Ok. The patch fixed my problem.

#4 - 2013-10-14 19:08 - Jean-Philippe Lang

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

I was not able to trigger this error from within Redmine but I WikiContent#next_version actually raises this error.

Fix applied in r12222.
